Subject: Re: sfx.c driver build failure

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 25 Jul 2008 17:50:57 +1000

On Fri, 2008-07-25 at 08:35 +0100, Michael Brown wrote:
> On Fri, 25 Jul 2008, Benjamin Herrenschmidt wrote:
> > The sfx driver (which happens to be part of some of our test configs) 
> > fails to build in current Linus tree on powerpc with this error:
> > 
> > /home/benh/kernels/linux-powerpc/drivers/net/sfc/efx.c: In function ÿÿefx_probe_interruptsÿÿ:
> > /home/benh/kernels/linux-powerpc/drivers/net/sfc/efx.c:845: error: lvalue required as unary ÿÿ&ÿÿ oper
> > and
> 
> I'm not the maintainer of that code; I wrote the original version, but 
> it's now maintained by Solarflare.
> 
> I don't see anything on that line that ought to be architecture-specific.  
> Could you send me the preprocessed efx.c from your powerpc build?

Apparently, it's a know generic breakage of the topology stuff,
it's beeing sorted out.

Cheers,
Ben.